以下は、終了、削除された予約です
w 2006年 6月12日 月曜日 04:00 60分 12ch SR-2nd.10.mjp:xfv

*****************
#!/bin/sh
#created at 2006-06-10 Sat 02:48 by menat-cr.sh-1.1.8-pre6.
#menat-cr.sh was executed on tampopo.karing.jp by apache for video server nadesico.
#2006-06-12 Mon 04:00 - 05:00(04:30) 12ch SR-2nd.10.mjp:xfv
#station: テレビ東京
#program-title: スクールランブル二学期
#program-subtitle: 「ヒィー! ヒィー!ヒィー! ヒィー!ヒィー!ヒィー!」
#Extend: 30
# STEREO
#スクールランブル二学期

menat_user=kiraha
menat_host=192.168.45.7
vs_hn=nadesico
exe_hn=tampopo.karing.jp
exe_time=200606100248

version=1.1.8-pre6
exe_v=0
LANG=C
org_id=2597;prs_id=2923;sr_id=9
week=w
auto_exe=0
cr_iepg=10
iepg_title="スクールランブル二学期"
org_title="$iepg_title"
iepg_err=0
iepg_ext=30
exe_end_ln=646
cr_end_ln=823

menat_h=/var/menat/nadesico.karing.jp/menat
menat_h_t=$menat_h/tmp
ma_h=/var/menat/nadesico.karing.jp/vfiles
ma_h_t=$ma_h/tmp

menat_sad=/var/menat/bin/menat-sad.sh
menat_cr=/var/menat/bin/menat-cr.sh
menat_bp=/var/menat/bin/menat-bp.sh
menat_mail=/var/menat/bin/menat-mail.sh
menat_progchk=/var/menat/bin/menat-progchk.sh
menat_midentify=/var/menat/bin/menat-midentify

menat_log=$menat_h_t/menat.log
menat_lock=$menat_h_t/lock.menat

name_f=/var/menat/nadesico.karing.jp/vfiles/SR-2nd.10.mjp
bfn=SR-2nd.10.mjp
tm_f=$ma_h_t/$bfn

ch=12
pch=12ch
input_v=c
cap_dev=/dev/video0
normid=1
vcodec=mjpeg
acodec=pcm
cap_fps=29.971
amode=1
hw_cap=1
sz_v=":width=640:height=480"

opt1="xfv"
opt2="h"
cmp_v="1"
cmp_bfn=SR-2nd.10.mpg
cmp_lv=839
cmp_enc=mpeg4
mop1="-f mpeg4 -s 8";mop2="-e 3 -h";mop3="-b 1600"
obp=1;cbp=0

time_s=200606120400 #TIME_START
time_epm=60
time_e=200606120500 #TIME_END
ma_file=$time_s.w.mtq

p_time_n=`date '+%Y-%m-%d %a %H:%M'`
time_nS=`date '+%Y%m%d%H%M%S'`
time_n=${time_nS%??}
time_eps=$(($time_epm*60))
cap_st_d="$p_time_n ${time_epm}分 $pch $bfn"

if [ "$1" = -c ];then

re_c=${2:-p_time_n}
ex_b=${0%.*.mtq};ex_bb=${ex_b##*/}
if [ `echo $2|grep -c '[$()\`]'` != 0 ];then
echo "invalid constant $2." >&2
echo "`id -un` tried to execute invalid constant $2." >>$menat_log
exit 1
elif [ "$ex_bb" != 200606120400 ];then
return 0
elif [ "$re_c" = iepg_dd ];then

if [ ${3:-0} = 1 ];then
dd_start=$(($cr_end_ln+1))
if [ $cmp_lv = 0 ];then
sed -n "$dd_start,\$"p $0|grep -v ^\$
else
dd_end=$(($cmp_lv-2))
sed -n "$dd_start,$dd_end"p $0
fi
elif [ ${3:-0} = 0 ]||[ ${3:-0} = 2 ];then

if [ ${cr_iepg:-0} -le 4 ];then
dd_end=4
else
dd_end=$cr_iepg
fi
sed -n "2,$dd_end"p $0

if [ ${3:-0} = 2 ];then

menat_ui_dd="vs_hn=$vs_hn:user=$menat_user:host=$menat_host:exe_hn=$exe_hn"
echo "#$menat_ui_dd"

week_v_str="week=w 0"
echo "#org_id=$org_id:prs_id=$prs_id:sr_id=$sr_id; $week_v_str; iepg_err=$iepg_err; menat-cr.sh-1.1.8-pre6"
fi
else
exit 1
fi

elif [ "$re_c" = cap_dd ];then
grep -A 2 "#$bfn:" $0
elif [ "$re_c" = cmp_dd ];then

if [ ${cmp_lv:-0} -gt 0 ];then
sed -n "$cmp_lv,\$"p $0
fi
elif [ "$re_c" = cmp_dd_s ];then
exe_end_lv=$(($exe_end_ln+1))
sed -n "${exe_end_lv},\$"p $0
else
eval out_v='$'$re_c
echo $out_v
fi
exit 0
fi

if [ ! -f $menat_h/$ma_file ]&&[ ! -f $menat_h/$time_s.n.mtq ];then
echo >>$menat_log
echo "$cap_st_d:$opt1::removed just before capture." >>$menat_log
exit 0
fi

exe_tty=`tty 2>/dev/null`;tty_v=$?
exe_user=`id -un`
if [ $tty_v = 0 ];then
echo >>$menat_h_t/menat.log
echo "executed $ma_file from unexpected tty, $exe_tty." >>$menat_log
echo "executed $ma_file from unexpected tty, $exe_tty."
exit 1
elif [ $exe_user != menat ]&&[ $exe_user != root ];then
echo >>$menat_log
echo "executed $ma_file by unexpected user, $exe_user." >>$menat_log
exit 1
fi

if [ $time_n -lt 200606120357 ];then
echo >>$menat_log
echo "the time was not expired. $ma_file was not executed." >>$menat_log
exit 1

elif [ $time_n -ge 200606120500 ];then

echo >>$menat_log
if [ `grep -c ' menat_ends$' $menat_h/$ma_file` != 0 ];then
echo "retried to execute $ma_file, this job was discarded." >>$menat_log
exit 1
else
echo "the time was over. this job, $ma_file was discarded." >>$menat_log
time_out=1
if [ -f $menat_lock ];then
menat_lock_f=$menat_lock
elif [ -d $menat_lock ];then
menat_lock_f=$menat_lock/$bfn
else
mkdir $menat_lock
menat_lock_f=$menat_lock/$bfn
fi
echo "$p_time_n 60分 12ch $bfn:$opt1::time_out $ma_file" >>$menat_lock_f
fi
else

rm -f $menat_h_t/*.t.db*
rm -f $menat_h_t/db*prog*

if [ $time_n -gt 200606120400 ];then
time_n_s=`date '+%s'`
time_eps=$((1150056000-$time_n_s))
fi

echo >>$menat_log
echo "$cap_st_d:$opt1::start $time_s" >>$menat_log

if [ -f $menat_lock ];then
menat_lock_f=$menat_lock
elif [ -d $menat_lock ];then
menat_lock_f=$menat_lock/$bfn
else
mkdir $menat_lock
menat_lock_f=$menat_lock/$bfn
fi

echo "$cap_st_d:$opt1::start $time_s" >>$menat_lock_f
echo "SR-2nd.10.mjp:640x480:mjpeg::29.971:pcm:60 200606120400.w.mtq" >>$menat_lock_f
echo "prs_id=`$menat_h/$ma_file -c prs_id`" >>$menat_lock_f &
if [ "$hw_cap" = 1 ];then
echo "hw_cap=1" >>$menat_lock_f
fi

if [ ! -f $ma_h/.htaccess ]&&[ -f $ma_h/.htaccess.off ];then
ln -fs $ma_h/.htaccess.off $ma_h/.htaccess;hta=$?
fi

men_r0_id=`ps auwx --width 512|grep "^menat .*mencoder "|grep -v " grep .*mencoder"`
if [ "$men_r0_id" ];then

men_r_id=`echo "$men_r0_id"|grep -v 'tv://'|tr -s " " " "|cut -d' ' -f2`
for t in $men_r_id ;do

/bin/kill -s STOP $t
echo "the process $t was stoped to capture $bfn." >>$menat_log
stv=1
done
fi

if [ -f $menat_h_t/end.lock.200606120400 ];then
echo $$ >>$menat_h_t/end.lock.200606120400
/bin/kill -s STOP $$
fi
touch $menat_h_t/end.lock.200606120500
fi


if [ "$time_out" != 1 ];then

hwn=0
hwc_dir=hw_cap.$bfn
while [ -e $ma_h_t/$hwc_dir ];do
hwn=$(($hwn+1))
hwc_dir=hw_cap.$bfn.$hwn
done
mkdir $ma_h_t/$hwc_dir

record-v4l2.pl --freqtable ntsc-bcast-jp --input /dev/video0 --inputnum 4 --dnrspatial 8 --dnrtemporal 8 --bitrate 12000000 --peakbitrate 13600000 --channel 12 -t $time_eps -D $ma_h_t/$hwc_dir --directory-format "" -o $bfn.mpg;cap_v=$?

hw_w=0
while [ -e $ma_h_t/$bfn ]&&[ $hw_w -lt 18 ];do
hw_w=$(($hw_w+1))
sleep 10s
done
mv -f $ma_h_t/$hwc_dir/$bfn.mpg $ma_h_t/$bfn >/dev/null 2>&1
cp $ma_h_t/$hwc_dir/video.settings $menat_h_t >/dev/null 2>&1
rm -f $ma_h_t/$hwc_dir/video.settings >/dev/null 2>&1
rm -rf $ma_h_t/$hwc_dir >/dev/null 2>&1
else
cap_v=125
fi

end_lock_id=`cat $menat_h_t/end.lock.200606120500 2>/dev/null`
mv -f $menat_h_t/end.lock.200606120500 $menat_h_t/end.lock;mv_v=$?
echo end.lock.200606120500 >>$menat_h_t/end.lock

if [ $mv_v != 0 ];then
rm -f $menat_h_t/end.lock.200606120500
fi

if [ "$end_lock_id" ];then

/bin/kill -s CONT $end_lock_id
echo "menat-cr.sh-1.1.8-pre6: /bin/kill -s CONT $end_lock_id" >>$menat_log
for t in $end_lock_id ;do
ps awxu --width 512|grep " $t "|tr -s ' ' ' '|cut -d' ' -f11- >>$menat_log
done

nx_cap_on=1
if [ ${stv:-0} = 1 ];then
stv=0
echo "menat-cr.sh-1.1.8-pre6: restart of $men_r_id was suspended for $end_lock_id." >>$menat_log
fi
else
nx_cap_on=0
fi

ep_YmdaHM=`date '+%Y-%m-%d %a %H:%M'`
time_re=`date '+%Y%m%d%H%M'`

rl_end_s=`date '+%s'`
rl_start_s=`date -d "$p_time_n" '+%s'`
rl_time_eps=$(($rl_end_s-$rl_start_s))

if [ "$stv" = 1 ];then

for t in $men_r_id ;do
/bin/kill -s CONT $t
echo "the process $t stopped to capture $bfn was re-started." >>$menat_log
echo "$men_r0_id"|grep " $t "|tr -s ' ' ' '|cut -d' ' -f11- >>$menat_log
done

fi

cmp_lock_ls=`ls -d $menat_h_t/lock.*`
echo "menat-cr.sh-1.1.8-pre6:cmp_lock_ls=$cmp_lock_ls" >>$menat_log
if [ "$men_r_id" ];then

echo "menat-cr.sh-1.1.8-pre6:SR-2nd.10.mjp:stv=$stv:men_r_id=$men_r_id" >>$menat_log
for t2 in $cmp_lock_ls ;do

cmp_exe_v=`grep -c ^menat_cmp_id $t2`
echo "menat-cr.sh-1.1.8-pre6:cmp_exe_v=\`grep -c ^menat_cmp_id $t2\`:$cmp_exe_v" >>$menat_log
if [ $t2 = $menat_lock_f ]||[ ${cmp_exe_v:-0} = 0 ];then

if [ -f $t2 ];then
cmp_w_ls="$cmp_w_ls $t2"
fi
continue
fi
echo "cap_time=$rl_time_eps:$bfn:$time_re" >>$t2

done
else
echo "menat-cr.sh-1.1.8-pre6:SR-2nd.10.mjp:stv=0:men_r_id=null" >>$menat_log
cmp_w_ls=$cmp_lock_ls
fi

if [ $nx_cap_on = 0 ];then

ex_stop_ls0=`ps auw --width 512|grep "^menat "|grep $cap_dev`
ex_stop_ls=`echo "$ex_stop_ls0"|tr -s ' ' ' '|cut -d' ' -f2,8|grep T|cut -d' ' -f1`
if [ "$ex_stop_ls" ];then

for t in $ex_stop_ls ;do
/bin/kill -s CONT $t
echo "the unknown stopped process $t was re-started." >>$menat_log
echo "$ex_stop_ls0"|grep " $t "|tr -s ' ' ' '|cut -d' ' -f11- >>$menat_log
done

fi
fi

if [ "$hta" = 0 ];then
rm -f $ma_h/.htaccess
fi

m0=`df -Pm $ma_h|tail -n1|tr -s ' ' ' '|cut -d' ' -f4`
m1=`du -msL $ma_h 2>/dev/null`
m1=${m1%$ma_h};m1=$(($m1))
ma_h_mm="$m1/$(($m0+$m1))(MB)"

if [ "$time_out" != 1 ];then
echo >>$menat_h_t/menat.log
echo "$time_n - $time_re $time_e :: $pch:: $bfn:cap_v=$cap_v:end" >>$menat_log
echo "$time_n - $time_re $time_e :: $pch:: $bfn:cap_v=$cap_v:end" >>$menat_lock_f
fi

if [ "$time_out" = 1 ];then
cap_failed="capture_time_out "
ma_file_2=$time_s.t.mtq
elif [ $cap_v != 0 ];then
cap_failed="capture_failed "
ma_file_2=$time_s.f.mtq
else
ma_file_2=$time_s.s.mtq
fi
echo "$ep_YmdaHM capture of $bfn ${cap_failed}menat_ends" >>$menat_log

if [ -f $tm_f ];then

ma_ind=`ls -i "$tm_f"`;ma_ind=${ma_ind% *}
mf_ind=`ls -i "$menat_h/$ma_file"`;mf_ind=${mf_ind% *}
ma_user=`$menat_h/$ma_file -c menat_user`
ma_host=`$menat_h/$ma_file -c menat_host`

org_id=`$menat_h/$ma_file -c org_id`
prs_id=`$menat_h/$ma_file -c prs_id`
sr_id=`$menat_h/$ma_file -c sr_id`
ma_id="$org_id;$prs_id;$sr_id"

if [ -f $ma_h/$bfn ];then

while [ -f $ma_h/tmp$tn-$bfn ];do

if [ ! "$tn" ];then
tn=0
else
tn=$(($tn+1))
fi
done

name_f=$ma_h/tmp$tn-$bfn
mv -f $tm_f $ma_h/tmp$tn-$bfn
db_ma_sz=`du -m $ma_h/tmp$tn-$bfn 2>/dev/null |cut -f1`
echo "tmp$tn-$bfn:$ma_ind:$ma_file_2:$mf_ind:$ma_user:$ma_host:$ma_id:$db_ma_sz:$pch" >>$menat_h_t/ma_id.db
nc=1
else
mv -f $tm_f $ma_h
db_ma_sz=`du -m $ma_h/$bfn 2>/dev/null |cut -f1`
echo "$bfn:$ma_ind:$ma_file_2:$mf_ind:$ma_user:$ma_host:$ma_id:$db_ma_sz:$pch" >>$menat_h_t/ma_id.db

fi

echo "$bfn $ep_YmdaHM created for ${ma_user##*=}" >>$menat_h_t/ma_history
fi

f_sz=`du -m $name_f 2>/dev/null|cut -f1`
if [ "$f_sz" ];then
p_f_sz="${f_sz}MB:xfv:/dev/video0:cc_obp=2:cap_v=$cap_v"
else
p_f_sz="0MB(none):xfv:/dev/video0:cc_obp=2:cap_v=$cap_v"
fi

if [ "$time_out" = 1 ];then
ma_f_v="$bfn:::::: the time was over. this job was discarded."
else
ma_f_v=`$menat_midentify $name_f 2>&1`
fi

if [ -f "$menat_h/$ma_file" ];then

if [ "$nc" = 1 ];then
echo "#$bfn was changed to tmp$tn-$bfn." >>$menat_h/$ma_file
fi
echo "#$ma_f_v:$ma_file_2" >>$menat_h/$ma_file

time_s_Y=${time_s:0:4}
time_s_m=${time_s:4:2}
time_s_d=${time_s:6:2}

time_nS_Y=${time_nS:0:4}
time_nS_m=${time_nS:4:2}
time_nS_d=${time_nS:6:2}
time_nS_H=${time_nS:8:2}
time_nS_M=${time_nS:10:2}
time_nS_S=${time_nS:12:2}

if [ $time_s_Y = $time_nS_Y ]&&[ $time_s_m = $time_nS_m ]&&[ $time_s_d = $time_nS_d ];then
p_time_nS="$time_nS_H:$time_nS_M:$time_nS_S"
else
p_time_nS="$time_nS_Y-$time_nS_m-$time_nS_d $time_nS_H:$time_nS_M:$time_nS_S"
fi
echo "#options: ハードウェア; $p_f_sz; $p_time_nS" >>$menat_h/$ma_file
echo "#$ep_YmdaHM $ma_file_2 $ma_h_mm ${cap_failed}menat_ends" >>$menat_h/$ma_file
echo >>$menat_h/$ma_file

else

mtq_sfE=`ls -d $menat_h_t/$time_s.[sfE]*.mtq 2>/dev/null`;ls_v=$?
if [ $ls_v = 0 ];then
for t in $mtq_sfE ;do
echo "#$ma_f_v $p_f_sz" >>$t
echo "#$ep_YmdaHM $ma_file_2 $ma_h_mm ${cap_failed}menat_ends" >>$t
echo >>$t
done
fi
fi

if [ `id -un` = menat ];then
chmod -f 664 $name_f >/dev/null 2>&1
fi


if [ "$week" ]&&[ "$week" != 0 ];then

i=0
while [ -f $menat_h_t/cr_lock ];do

cr_lock_ts=`grep ^cr_lock_t= $menat_h_t/cr_lock|tail -n1|cut -d'=' -f2`
if [ $i -gt 18 ]||[ `date '+%s'` -gt $((${cr_lock_ts:-0}+180)) ];then
break
fi

sleep 10s
if [ "$cr_lock_ts_old" ];then

if [ $cr_lock_ts_old = $cr_lock_ts ];then
i=$(($i+1))
else
cr_lock_ts_old=$cr_lock_ts
i=0
fi
else
cr_lock_ts_old=$cr_lock_ts
i=$(($i+1))
fi
done

if [ ! -f "$menat_lock_f" ];then
menat_lock_f=/dev/null
fi
cp -f $menat_lock_f $menat_h_t/cr_lock
echo cr_lock_id=$ma_file_2 >>$menat_h_t/cr_lock
echo cr_lock_t=`date '+%s'` >>$menat_h_t/cr_lock

$menat_cr -s -t 200606190400 -e 60 -c 12 -o SR-2nd.11.mjp:xfv -w w -a kiraha -h 192.168.45.7 -od /var/menat/nadesico.karing.jp/menat -vd /var/menat/nadesico.karing.jp/vfiles -vs nadesico -N $ma_file -i c
mv -f $menat_h_t/cr_lock $menat_h_t/cr_lock.pp
fi

rm -f $menat_h_t/*.t.db*
rm -f $menat_h_t/db*prog*

if [ -f $name_f ];then

if [ "$opt1" ]&&[ ${cmp_v:-0} != 0 ];then
b_name_f=${name_f##*/};b_name_f=${b_name_f%.mjp}
echo tlong_m=$time_epm >$menat_h_t/lock.$b_name_f
echo cap_sol=640x480 >>$menat_h_t/lock.$b_name_f
mop3_v1=${mop3##*-b };echo vbitrate=${mop3_v1%%* } >>$menat_h_t/lock.$b_name_f
cap_mm_dd=`$menat_midentify $name_f`
echo "$cap_mm_dd:$ma_file_2" >>$menat_h_t/lock.$b_name_f
fi
fi

sad_n_time=$time_re
i=0
while [ $sad_n_time -lt $time_e ];do

i=$(($i+1))
if [ $i = 1 ];then

time_re_s=`date '+%s'`
ex_sleep=$((1150056000-$time_re_s))
if [ $cap_v != 0 ];then
echo "capture failed, go into sleep ${ex_sleep}s." >>$menat_log
else
echo "unexpected error occured, why cap_v is 0? go into sleep ${ex_sleep}s" >>$menat_log
fi
echo "ex_sleep=${ex_sleep}s" >>$menat_lock_f
fi

if [ -f $menat_h/$ma_file ];then
sleep 60s
sad_n_time=`date '+%Y%m%d%H%M'`
else
time_re_o=`date '+%s'`
sleep_out=$(($time_re_o-1150052400))
echo "sleep_out=${sleep_out}s" >>$menat_lock_f
break
fi
done

ed -s $menat_h/$ma_file >/dev/null 2>&1 <<EOF
/^exe_v=
s/_v=.*/_v=$cap_v/
w
q
EOF

echo "menat-cr.sh-1.1.8-pre6: menat_sad started from $bfn." >>$menat_lock_f
echo "menat-cr.sh-1.1.8-pre6: menat_sad started from $bfn." >>$menat_log
$menat_sad SR-2nd.10.mjp:xfv menat-cr.sh-1.1.8-pre6 -l $ma_file
if [ -f $menat_h/200606190400.w.mtq ];then
$menat_progchk -v nadesico -n $menat_h/200606190400.w.mtq
elif [ -f $menat_h/200606190400.n.mtq ];then
$menat_progchk -v nadesico -n $menat_h/200606190400.n.mtq
fi
echo "menat-cr.sh-1.1.8-pre6: menat_sad ended from $bfn." >>$menat_lock_f
echo "menat-cr.sh-1.1.8-pre6: menat_sad ended from $bfn." >>$menat_log

if [ ! -f $menat_h_t/$ma_file_2 ];then

mail_fn_ls=`grep -H "^org_id=$org_id;prs_id=$prs_id;" $menat_h_t/*.mtq|grep -v ':0$'`
if [ "$mail_fn_ls" ];then

for t in $mail_fn_ls ;do
tt=${t%%:*}
ma_file_mail=${tt##*/}
break
done
else
ma_file_mail=$ma_file_2
fi
else
ma_file_mail=$ma_file_2
fi

echo "$menat_mail -vs nadesico -a kiraha -v $cap_v -p 0 -i $ma_file_mail -n SR-2nd.10.mjp" >>$menat_log
$menat_mail -vs nadesico -a kiraha -v $cap_v -p 0 -i $ma_file_mail -n SR-2nd.10.mjp

if [ -f $name_f ];then

if [ "$opt1" ]&&[ ${cmp_v:-0} != 0 ];then

bp_vv=`$menat_bp -N 1 -i $ma_file_2`;bp_v1=$?
/var/menat/bin/menat-cmp.sh -vs $vs_hn $name_f $mop1 $mop2 $mop3 -i $ma_file_2 &
echo >>$menat_log
echo "lock.$b_name_f was created at ${ep_YmdaHM}." >>$menat_log

elif [ "$obp" = 1 ]&&[ -x $menat_bp ];then
$menat_bp -a $menat_user -i $ma_file_2 $name_f;bp_v1=$?
fi
echo "menat-cr.sh-1.1.8-pre6: bp=$bp_v1 and cmp ended." >>$menat_lock_f
else
$menat_bp -N 0 -i $ma_file_2
fi

if [ -f "$menat_lock_f" ]&&[ "$menat_lock_f" != /dev/null ];then

if [ "$time_out" = 1 ];then
echo "menat-cr.sh-1.1.8-pre6: capture $bfn was time out at ${ep_YmdaHM}." >>$menat_log
else
echo "menat-cr.sh-1.1.8-pre6: capture $bfn ended at ${ep_YmdaHM}." >>$menat_lock_f
fi

mv -f $menat_lock_f $menat_h_t/locK
on_cap=`ls $menat_lock 2>/dev/null`
if [ ! "$on_cap" ];then
echo "menat-cr.sh-1.1.8-pre6: manat_lock_f was removed." >>$menat_log
rm -rf $menat_lock
else
echo "menat-cr.sh-1.1.8-pre6: capture $bfn ended, and other capture is running." >>$menat_log
echo "now capturing, $on_cap." >>$menat_log
fi

else
echo "menat-cr.sh-1.1.8-pre6: unknown error occured, capture $bfn ended." >>$menat_log
fi

for t in $cmp_w_ls ;do

if [ ! -f $t ];then
continue
fi
echo "cap_end_time=$time_re:$bfn" >>$t
done

for t in `ls $menat_h_t/end.lock.* 2>/dev/null` ;do

tt=${t##*/}
if [ ${tt##*.} -lt `date '+%Y%m%d%H%M'` ];then

echo "menat-cr.sh-1.1.8-pre6: unknown error occured, maybe critical region was intruded." >>$menat_log
mv -f $t $menat_h_t/end.lock;mv_v=$?
if [ $mv_v = 0 ];then
echo "menat-cr.sh-1.1.8-pre6: $tt was moved to end.lock." >>$menat_log
else
rm -f $t
echo "menat-cr.sh-1.1.8-pre6: move of $tt was failed, $tt was removed." >>$menat_log
fi
fi
done
echo "menat-cr.sh-1.1.8-pre6: capture $bfn ended at ${ep_YmdaHM}." >>$menat_log

exit 0 #maexe_file_end

#2597 2006-04-03 01:36 a menat
#2006-03-27 Mon 13:18 200604030136.n.mtq added in que.
#2006-04-03 Mon 01:36 - 02:06 12ch SR-2nd.01.mjp:Xfv
#station: テレビ東京
#program-title: スクールランブル二学期
#program-subtitle: 「ScrambleなReloaded!/SupcrstarにR
#cqucst!/ScandalousなRestart!」
# 新番組 STEREO
#「声」 小清水亜美
#org_id=2597:prs_id=2597:sr_id=0; week=w 0; iepg_err=0; menat-cr.sh-1.1.8-pre1
#SR-2nd.01.mjp:720x480:mpeg2:13600kbps:29.970:mp2:29m59s:200604030136.s.mtq
#options: ハードウェア; 2744MB:Xfv:/dev/video0:cc_obp=2:cap_v=0; 01:36:00
#2006-04-03 Mon 02:06 200604030136.s.mtq menat_ended

#compress entry was added in que at 2006-04-03 Mon 02:09 for SR-2nd.01.mjp.
#compress started at 2006-04-03 Mon 03:22 after waiting for aria-N.01.
#SR-2nd.01.mpg:640x480:divx5:1599kbps:29.970:mp3:29m59s:200604030136.s.mtq
#options: pp=lb,scale=640:480,pp=de mbd=1; menat-cmp.sh-0.8.13-rc7
#men_v=0; bp_v=0; 395MB 1時間3分 x0.47倍速 圧縮率 x6.94
#compress ended at 2006-04-03 Mon 04:25, SR-2nd.01.mjp was removed.

#2652 2006-04-10 01:30 a menat
#2006-04-03 Mon 22:38 200604100130.n.mtq added in que.
#2006-04-10 Mon 01:30 - 02:00 12ch SR-2nd.02.mjp:Xfv
#station: テレビ東京
#program-title: スクールランブル二学期
#program-subtitle: 「策謀/戦場/朋友」
# STEREO
#スクール二学期 「策謀」 ほか
#org_id=2597:prs_id=2652:sr_id=1; week=w 0; iepg_err=0; menat-cr.sh-1.1.8-pre2
#SR-2nd.02.mjp:720x480:mpeg2:13600kbps:29.970:mp2:29m59s:200604100130.s.mtq
#options: ハードウェア; 2744MB:Xfv:/dev/video0:cc_obp=2:cap_v=0; 01:30:00
#2006-04-10 Mon 02:00 200604100130.s.mtq menat_ended

#compress entry was added in que at 2006-04-10 Mon 02:02 for SR-2nd.02.mjp.
#compress started at 2006-04-10 Mon 03:15 after waiting for aria-N.02.
#SR-2nd.02.mpg:640x480:divx5:1599kbps:29.970:mp3:29m59s:200604100130.s.mtq
#options: pp=lb,scale=640:480,pp=de mbd=1; menat-cmp.sh-0.8.13-rc7
#men_v=0; bp_v=0; 395MB 1時間3分 x0.47倍速 圧縮率 x6.94
#compress ended at 2006-04-10 Mon 04:18, SR-2nd.02.mjp was removed.

#2687 2006-04-17 01:30 a menat
#2006-04-10 Mon 02:02 200604170130.n.mtq added in que.
#2006-04-17 Mon 01:30 - 02:00 12ch SR-2nd.03.mjp:Xfv
#station: テレビ東京
#program-title: スクールランブル二学期
#program-subtitle: 「美獣VS美獣/軍神VS武神/先生VS生徒」
# STEREO
#スクール二学期 「美獣VS美獣」 「軍神VS武神」 ほか
#org_id=2597:prs_id=2687:sr_id=2; week=w 1; iepg_err=0; menat-cr.sh-1.1.7c
#SR-2nd.03.mjp:720x480:mpeg2:13600kbps:29.970:mp2:29m59s:200604170130.s.mtq
#options: ハードウェア; 2745MB:Xfv:/dev/video0:cc_obp=2:cap_v=0; 01:30:00
#2006-04-17 Mon 02:00 200604170130.s.mtq menat_ended

#compress entry was added in que at 2006-04-17 Mon 02:02 for SR-2nd.03.mjp.
#compress started at 2006-04-17 Mon 03:15 after waiting for aria-N.03.
#SR-2nd.03.mpg:640x480:divx5:1601kbps:29.970:mp3:29m59s:200604170130.s.mtq
#options: pp=lb,scale=640:480,pp=de mbd=1; menat-cmp.sh-0.8.13-rc7
#men_v=0; bp_v=0; 395MB 1時間3分 x0.47倍速 圧縮率 x6.94
#compress ended at 2006-04-17 Mon 04:18, SR-2nd.03.mjp was removed.

#2716 2006-04-24 01:30 a menat
#2006-04-17 Mon 02:01 200604240130.n.mtq added in que.
#2006-04-24 Mon 01:30 - 02:00 12ch SR-2nd.04.mjp:Xfv
#station: テレビ東京
#program-title: スクールランブル二学期
#program-subtitle: 「演劇で妄想!/銭湯で妄想!/オニギリで妄想!」
# STEREO
#スクール二学期 「演劇で妄想!」 「銭湯で妄想!」 ほか
#org_id=2597:prs_id=2716:sr_id=3; week=w 2; iepg_err=0; menat-cr.sh-1.1.7c
#SR-2nd.04.mjp:720x480:mpeg2:13600kbps:29.970:mp2:29m59s:200604240130.s.mtq
#options: ハードウェア; 2744MB:Xfv:/dev/video0:cc_obp=2:cap_v=0; 01:30:00
#2006-04-24 Mon 02:00 200604240130.s.mtq menat_ended

#compress entry was added in que at 2006-04-24 Mon 02:02 for SR-2nd.04.mjp.
#compress started at 2006-04-24 Mon 03:15 after waiting for aria-N.04.
#SR-2nd.04.mpg:640x480:divx5:1599kbps:29.970:mp3:29m59s:200604240130.s.mtq
#options: pp=lb,scale=640:480,pp=de mbd=1; menat-cmp.sh-0.8.13-rc7
#men_v=0; bp_v=0; 395MB 1時間3分 x0.47倍速 圧縮率 x6.94
#compress ended at 2006-04-24 Mon 04:18, SR-2nd.04.mjp was removed.

#2746 2006-05-01 01:55 a menat
#2006-04-26 Wed 00:28 200605010155.n.mtq added in que.
#2006-05-01 Mon 01:55 - 03:55(02:25) 12ch SR-2nd.05.mjp:Xdv
#station: テレビ東京
#program-title: スクールランブル二学期
#program-subtitle: 「オミズは文化/マンガは文化/ケーキもブンカ」
#Extend: 90
# STEREO
#スクールランブル二学期
#org_id=2597:prs_id=2746:sr_id=4; week=w 0; iepg_err=0; menat-cr.sh-1.1.8-pre4
#SR-2nd.05.mjp:720x480:mpeg2:13600kbps:29.970:mp2:119m59s:200605010155.s.mtq
#options: ハードウェア; 10980MB:Xdv:/dev/video0:cc_obp=0:cap_v=0; 01:55:00
#2006-05-01 Mon 03:55 200605010155.s.mtq 34634/37531 menat_ended

#compress entry was added in que at 2006-05-01 Mon 03:56 for SR-2nd.05.mjp.
#compress started at 2006-05-01 Mon 05:10 after waiting for aria-N.05.
#SR-2nd.05.mpg:640x480:divx5:1600kbps:29.970:mp3:119m59s:200605010155.s.mtq
#options: pp=lb,scale=640:480,pp=de mbd=1; menat-cmp.sh-0.8.13-rc7
#men_v=0; 1581MB 4時間11分 x0.47倍速 圧縮率 x6.94
#compress ended at 2006-05-01 Mon 09:20, SR-2nd.05.mjp was removed.

#2770 2006-05-08 01:30 a menat
#2006-05-01 Mon 16:42 200605080130.n.mtq added in que.
#2006-05-08 Mon 01:30 - 02:30(02:00) 12ch SR-2nd.06.mjp:Xdv
#station: テレビ東京
#program-title: スクールランブル二学期
#program-subtitle: 「スリーピング・ビースト/キッス・インポッシブル/フィナーレ」
#Extend: 30
# STEREO
#スクールランブル二学期
#org_id=2597:prs_id=2770:sr_id=5; week=w 0; iepg_err=0; menat-cr.sh-1.1.8-pre5
#SR-2nd.06.mjp:720x480:mpeg2:13600kbps:29.970:mp2:59m59s:200605080130.s.mtq
#options: ハードウェア; 5490MB:Xdv:/dev/video0:cc_obp=0:cap_v=0; 01:30:00
#2006-05-08 Mon 02:30 200605080130.s.mtq 27966/37532(MB) menat_ended

#compress entry was added in que at 2006-05-08 Mon 02:31 for SR-2nd.06.mjp.
#compress started at 2006-05-08 Mon 03:45 after waiting for aria-N.06.
#SR-2nd.06.mpg:640x480:divx5:1601kbps:29.970:mp3:59m59s:200605080130.s.mtq
#options: pp=lb,scale=640:480,pp=de mbd=1; menat-cmp.sh-0.8.13-rc7
#men_v=0; 790MB 2時間8分 x0.46倍速 圧縮率 x6.94
#compress ended at 2006-05-08 Mon 05:53, SR-2nd.06.mjp was removed.

#2800 2006-05-15 01:30 a menat
#2006-05-08 Mon 03:16 200605150130.n.mtq added in que.
#2006-05-15 Mon 01:30 - 02:00 12ch SR-2nd.07.mjp:Xdv
#station: テレビ東京
#program-title: スクールランブル二学期
#program-subtitle: 「めし/しごと/まつり」
# STEREO
#「めし」 「しごと」 「まつり」 「声」 小清水亜美ほか
#org_id=2597:prs_id=2800:sr_id=6; week=w 0; iepg_err=0; menat-cr.sh-1.1.8-pre6
#SR-2nd.07.mjp:720x480:mpeg2:13600kbps:29.970:mp2:29m59s:200605150130.s.mtq
#options: ハードウェア; 2745MB:Xdv:/dev/video0:cc_obp=0:cap_v=0; 01:30:01
#2006-05-15 Mon 02:00 200605150130.s.mtq 27135/37532(MB) menat_ended

#compress entry was added in que at 2006-05-15 Mon 02:03 for SR-2nd.07.mjp.
#compress started at 2006-05-15 Mon 03:16 after waiting for aria-N.07,blacklagoon.05.
#SR-2nd.07.mpg:640x480:divx5:1600kbps:29.970:mp3:29m59s:200605150130.s.mtq
#options: pp=lb,scale=640:480,pp=de mbd=1; menat-cmp.sh-0.8.13-rc7
#men_v=0; 395MB 1時間2分 x0.48倍速 圧縮率 x6.94
#compress ended at 2006-05-15 Mon 04:18, SR-2nd.07.mjp was removed.

#2825 2006-05-22 01:30 a menat
#2006-05-15 Mon 02:03 200605220130.n.mtq added in que.
#2006-05-22 Mon 01:30 - 02:00 12ch SR-2nd.08.mjp:Xdv
#station: テレビ東京
#program-title: スクールランブル二学期
#program-subtitle: 「はっちゃけ☆女子バスケ部誕生!/はっちゃけ☆よろしく先輩/は
#っちゃけ☆涙のブランコ…」
# STEREO
#「はっちゃけ☆女子バスケ部誕生!」 「声」 小清水亜美
#org_id=2597:prs_id=2825:sr_id=7; week=w 1; iepg_err=0; menat-cr.sh-1.1.7c
#SR-2nd.08.mjp:720x480:mpeg2:13600kbps:29.970:mp2:29m59s:200605220130.s.mtq
#options: ハードウェア; 2744MB:Xdv:/dev/video0:cc_obp=0:cap_v=0; 01:30:00
#2006-05-22 Mon 02:00 200605220130.s.mtq menat_ended

#compress entry was added in que at 2006-05-22 Mon 02:03 for SR-2nd.08.mjp.
#compress started at 2006-05-22 Mon 03:15 after waiting for aria-N.08,blacklagoon.06.
#SR-2nd.08.mpg:640x480:divx5:1597kbps:29.970:mp3:29m59s:200605220130.s.mtq
#options: pp=lb,scale=640:480,pp=de mbd=1; menat-cmp.sh-0.8.14-pre3
#men_v=0; 395MB 1時間1分 x0.49倍速 圧縮率 x6.94; 25648/37532(MB)
#compress ended at 2006-05-22 Mon 04:15, SR-2nd.08.mjp was removed.

#2873 2006-05-29 01:30 a menat
#2006-05-28 Sun 11:21 200605290130.n.mtq added in que.
#2006-05-29 Mon 01:30 - 02:00 12ch SR-2nd.09.mjp:Xfv
#station: テレビ東京
#program-title: スクールランブル二学期
#program-subtitle: 「パス!ドリブル!シュート!」
# STEREO
#スクールランブル二学期
#vs_hn=nadesico:user=kiraha:host=192.168.45.7:exe_hn=tampopo.karing.jp
#org_id=2597:prs_id=2873:sr_id=8; week=w 0; iepg_err=0; menat-cr.sh-1.1.8-pre6
#force_exe 200605290130.w.mtq at 2006-05-29 Mon 03:36 by menat-sad.sh-0.9.17-rc7 from LOOP.18.
#2006-05-29 Mon 05:48 capture was failed? menat_ended

#2923 2006-06-12 04:00 a menat menat_que_record
#2006-06-10 Sat 06:38 200606120400.n.mtq added in que.
#2006-06-12 Mon 04:00 - 05:00(04:30) 12ch SR-2nd.10.mjp:xfv
#station: テレビ東京
#program-title: スクールランブル二学期
#program-subtitle: 「ヒィー! ヒィー!ヒィー! ヒィー!ヒィー!ヒィー!」
#Extend: 30
# STEREO
#スクールランブル二学期
#vs_hn=nadesico:user=kiraha:host=192.168.45.7:exe_hn=tampopo.karing.jp
#org_id=2597:prs_id=2923:sr_id=9; week=w 0; iepg_err=0; menat-cr.sh-1.1.8-pre6
#SR-2nd.10.mjp:720x480:mpeg2:13600kbps:29.970:mp2:59m59s:200606120400.s.mtq
#options: ハードウェア; 5490MB:xfv:/dev/video0:cc_obp=2:cap_v=0; 04:00:00
#2006-06-12 Mon 05:00 200606120400.s.mtq 34927/37532(MB) menat_ends

#compress entry was added in que at 2006-06-12 Mon 05:02 for SR-2nd.10.mjp.
#compress started at 2006-06-12 Mon 06:15 after waiting for aria-N.11.
#SR-2nd.10.mpg:640x480:divx5:1601kbps:29.970:mp3:59m59s:200606120400.s.mtq
#options: pp=lb,scale=640:480,pp=de mbd=1; menat-cmp.sh-0.8.14-pre3
#men_v=0; bp_v=0; 790MB 2時間5分 x0.48倍速 圧縮率 x6.94; 25509/37532(MB)
#compress ended at 2006-06-12 Mon 08:20, SR-2nd.10.mjp was removed.

*****************
w 2006年 6月12日 月曜日 04:00 60分 12ch SR-2nd.10.mjp:xfv この抹消済み録画予約設定ファイルを削除する

index.html  録画予約画面に戻る  終了、抹消済録画予約一覧に戻る

menat-less.cgi-0.8.7-rc3 menat-0.5.9-6pe4 2006-06-14